#include <iostream>
#include <vector>

using namespace std;
int proizvod(int br)
{
    int pr=1;
    while(br>0)
    {
        pr=pr*(br%10);
        br=br/10;
    }
    return pr;
}
int razliciti(vector<int> s, int j )
{
    int o=0;
    for(int m=1; m<j; m++)
    {
        if(s[m]==s[j])
        o++;
    }
    if(o==0)
    return 1;
    else return 0;
}

int main()
{
    int t, br=0, i;
    cin>>t;
    vector<int> v;
    vector<int> s;
    vector<int> k;
    for(int i=1; i<=t; i++)
    {
        cin>>v[i];
        k[i]=1;
        for(int j=1; j<=v[i]; j++)
        {
            br=j;
            s[j]=proizvod(br);
            k[i]=k[i]+razliciti(s, j);
        }
    }
    for(int x=1; x<=t; x++)
    {
        cout<<k[x]<<endl;
    }
    return 0;
}